core Namespace Reference

## Classes

class | Connection
| The Connection class models a signal-slot connection. More...
class | Property
| A very simple, templated class that allows for uniform declaration of get-able/set-able/observable members. More...
class | ScopedConnection
| Scoped helper class to map signal-slot connection mgmt. to RAII. More...
class | Signal
| A signal class that observers can subscribe to. More...
class | Signal< void >
| A signal class that observers can subscribe to, template specialization for signals without arguments. More...